Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000039Core InformModel worldpublic2010-06-15 21:232010-07-01 23:07
ReporterAl 
Assigned Tograham 
PrioritynormalSeverityseriousReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSMac OS XOS Version10.6
Product Version6E59 
Target VersionFixed in Version6E72 
Summary0000039: Using the word "scene" in a room name causes compiler error
DescriptionIn Part SR2 - Variables and Rulebooks, Section SR2/13 - Scene descriptions in the extension Standard Rules by Graham Nelson:

Problem. You wrote 'When a scene (called the event) begins (this is the scene description text rule)' : but a 'called' name can only be given to something which is described vaguely, and can't be given to a definite object or value. So 'if a thing (called the gadget) is carried' is allowed, but 'if the X-Ray Zapper (called the gadget) is carried' isn't allowed - if it's the X-Ray Zapper, then call it that.
Problem. You wrote 'When a scene (called the event) begins (this is the scene description text rule)' , but the description of the thing(s) to which the rule applies ('a scene (called the event)') did not make sense. This is a scene based rulebook, so that should have described a scene.
Minimal Source Text To Reproduce
Fooble Scene is a room.
Additional InformationIF the author uses the word scene as part of a room name the compiler crashes.
See Description above
TagsNo tags attached.
Effect(serious) Compiler rejects valid code
Attached Files

- Relationships

-  Notes
(0000091)
graham (administrator)
2010-06-20 10:06

Fixed.

- Issue History
Date Modified Username Field Change
2010-06-15 21:23 Al New Issue
2010-06-15 22:14 emshort Effect (critical) Compiler crashes => (serious) Compiler rejects valid code
2010-06-15 22:14 emshort Severity critical => serious
2010-06-15 22:14 emshort Status new => acknowledged
2010-06-15 22:14 emshort Steps to Reproduce Updated View Revisions
2010-06-15 22:14 emshort Priority immediate => none
2010-06-16 08:08 jmcgrew Priority none => normal
2010-06-16 08:08 jmcgrew Summary Using the word "scene" in a room name causes compiler ereror => Using the word "scene" in a room name causes compiler error
2010-06-17 21:21 emshort Status acknowledged => confirmed
2010-06-17 21:44 jmcgrew OS OS X => Mac OS X
2010-06-17 21:44 jmcgrew Platform Macintosh =>
2010-06-20 10:06 graham Note Added: 0000091
2010-06-20 10:06 graham Status confirmed => resolved
2010-06-20 10:06 graham Resolution open => fixed
2010-06-20 10:06 graham Assigned To => graham
2010-06-30 18:07 jmcgrew Fixed in Version => 6E72
2010-07-01 23:07 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker